"use strict";
const common_vendor = require("../../common/vendor.js");
if (!Array) {
  const _easycom_u_swiper2 = common_vendor.resolveComponent("u-swiper");
  const _easycom_up_notice_bar2 = common_vendor.resolveComponent("up-notice-bar");
  const _easycom_up_tabs2 = common_vendor.resolveComponent("up-tabs");
  const _easycom_up_avatar2 = common_vendor.resolveComponent("up-avatar");
  const _easycom_up_cell2 = common_vendor.resolveComponent("up-cell");
  const _easycom_up_list_item2 = common_vendor.resolveComponent("up-list-item");
  const _easycom_up_list2 = common_vendor.resolveComponent("up-list");
  const _easycom_up_overlay2 = common_vendor.resolveComponent("up-overlay");
  (_easycom_u_swiper2 + _easycom_up_notice_bar2 + _easycom_up_tabs2 + _easycom_up_avatar2 + _easycom_up_cell2 + _easycom_up_list_item2 + _easycom_up_list2 + _easycom_up_overlay2)();
}
const _easycom_u_swiper = () => "../../node-modules/uview-plus/components/u-swiper/u-swiper.js";
const _easycom_up_notice_bar = () => "../../node-modules/uview-plus/components/u-notice-bar/u-notice-bar.js";
const _easycom_up_tabs = () => "../../node-modules/uview-plus/components/u-tabs/u-tabs.js";
const _easycom_up_avatar = () => "../../node-modules/uview-plus/components/u-avatar/u-avatar.js";
const _easycom_up_cell = () => "../../node-modules/uview-plus/components/u-cell/u-cell.js";
const _easycom_up_list_item = () => "../../node-modules/uview-plus/components/u-list-item/u-list-item.js";
const _easycom_up_list = () => "../../node-modules/uview-plus/components/u-list/u-list.js";
const _easycom_up_overlay = () => "../../node-modules/uview-plus/components/u-overlay/u-overlay.js";
if (!Math) {
  (_easycom_u_swiper + _easycom_up_notice_bar + _easycom_up_tabs + _easycom_up_avatar + _easycom_up_cell + _easycom_up_list_item + _easycom_up_list + login + _easycom_up_overlay)();
}
const login = () => "../../components/login.js";
const _sfc_main = /* @__PURE__ */ common_vendor.defineComponent({
  __name: "index",
  setup(__props) {
    const $api = common_vendor.inject("$api");
    common_vendor.inject("$apifile");
    const typeList = common_vendor.ref([
      { name: "兴趣", icon: "t-icon-xingqu", type: "0" },
      { name: "小学", icon: "t-icon-xiaoxue", type: "1" },
      { name: "中学", icon: "t-icon-zhongxue", type: "2" },
      { name: "高中", icon: "t-icon-gaozhong", type: "3" }
    ]);
    const config = common_vendor.ref({ icon: [], logo: [], file: [] });
    const list = common_vendor.ref([]);
    common_vendor.ref(0);
    const subjectList = common_vendor.ref([]);
    const show = common_vendor.ref(false);
    const user = common_vendor.computed(() => {
      return common_vendor.index.getStorageSync("user");
    });
    common_vendor.onShow(async () => {
      await searchConfig();
      await searchOther();
      await search();
      if (!user.value)
        show.value = true;
      loadmore();
    });
    const urls = [
      "https://cdn.uviewui.com/uview/album/1.jpg",
      "https://cdn.uviewui.com/uview/album/2.jpg",
      "https://cdn.uviewui.com/uview/album/3.jpg",
      "https://cdn.uviewui.com/uview/album/4.jpg",
      "https://cdn.uviewui.com/uview/album/5.jpg",
      "https://cdn.uviewui.com/uview/album/6.jpg",
      "https://cdn.uviewui.com/uview/album/7.jpg",
      "https://cdn.uviewui.com/uview/album/8.jpg",
      "https://cdn.uviewui.com/uview/album/9.jpg",
      "https://cdn.uviewui.com/uview/album/10.jpg"
    ];
    const scrolltolower = () => {
      loadmore();
    };
    const loadmore = () => {
      for (let i = 0; i < 30; i++) {
        list.value.push({
          url: urls[common_vendor.index.$u.random(0, urls.length - 1)]
        });
      }
    };
    const searchConfig = async () => {
      config.value = common_vendor.index.getStorageSync("config");
    };
    const searchOther = async () => {
      let res;
      res = await $api(`dictData`, "GET", { code: "subject", is_use: "0" });
      if (res.errcode === 0)
        subjectList.value = res.data;
    };
    const search = async () => {
    };
    const toTab = async (data) => {
      console.log(data);
    };
    const showChange = () => {
      show.value = false;
    };
    return (_ctx, _cache) => {
      return common_vendor.e({
        a: common_vendor.p({
          radius: 0,
          list: config.value.file,
          height: "240px",
          indicator: true,
          indicatorMode: "dot",
          circular: true
        }),
        b: config.value.notice
      }, config.value.notice ? {
        c: common_vendor.p({
          text: config.value.notice,
          duration: "3000"
        })
      } : {}, {
        d: common_vendor.f(typeList.value, (item, index, i0) => {
          return {
            a: common_vendor.n(item.icon),
            b: common_vendor.t(item.name),
            c: index
          };
        }),
        e: common_vendor.o(toTab),
        f: common_vendor.p({
          list: subjectList.value,
          keyName: "label"
        }),
        g: common_vendor.f(list.value, (item, index, i0) => {
          return {
            a: "4978fed5-6-" + i0 + "," + ("4978fed5-5-" + i0),
            b: common_vendor.p({
              shape: "square",
              size: "35",
              src: item.url,
              customStyle: "margin: -3px 5px -3px 0"
            }),
            c: "4978fed5-5-" + i0 + "," + ("4978fed5-4-" + i0),
            d: common_vendor.p({
              title: `列表长度-${index + 1}`
            }),
            e: index,
            f: "4978fed5-4-" + i0 + ",4978fed5-3"
          };
        }),
        h: common_vendor.o(scrolltolower),
        i: common_vendor.o(showChange),
        j: common_vendor.p({
          show: show.value
        })
      });
    };
  }
});
const MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__scopeId", "data-v-4978fed5"], ["__file", "D:/project/学吧/learn_applet/pages/home/index.vue"]]);
wx.createPage(MiniProgramPage);
